Loading...
Searching...
No Matches
pcl::poisson::SortedTreeNodes::EdgeTableData Struct Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Public Member Functions

| EdgeTableData (void)
| ~EdgeTableData (void)
void | clear (void)
EdgeIndices & | operator[] (const TreeOctNode *node)
const EdgeIndices & | operator[] (const TreeOctNode *node) const
EdgeIndices & | edgeIndices (const TreeOctNode *node)
const EdgeIndices & | edgeIndices (const TreeOctNode *node) const

## Public Attributes

int | eCount
std::vector< EdgeIndices > | eTable
std::vector< int > | offsets

## Detailed Description

Definition at line 154 of file multi_grid_octree_data.h.

## Constructor & Destructor Documentation

## EdgeTableData()

pcl::poisson::SortedTreeNodes::EdgeTableData::EdgeTableData | ( | void |  | ) |

inline

Definition at line 156 of file multi_grid_octree_data.h.

References eCount.

## ~EdgeTableData()

pcl::poisson::SortedTreeNodes::EdgeTableData::~EdgeTableData | ( | void |  | ) |

inline

Definition at line 157 of file multi_grid_octree_data.h.

References clear().

## Member Function Documentation

## clear()

void pcl::poisson::SortedTreeNodes::EdgeTableData::clear | ( | void |  | ) |

inline

Definition at line 158 of file multi_grid_octree_data.h.

References eCount, and eTable.

Referenced by ~EdgeTableData().

## edgeIndices() [1/2]

SortedTreeNodes::EdgeIndices & pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices | ( | const TreeOctNode * | node | ) |

Definition at line 305 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, eTable, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, and offsets.

## edgeIndices() [2/2]

const SortedTreeNodes::EdgeIndices & pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices | ( | const TreeOctNode * | node | ) | const

Definition at line 306 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, eTable, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, and offsets.

## operator[]() [1/2]

SortedTreeNodes::EdgeIndices & pcl::poisson::SortedTreeNodes::EdgeTableData::operator[] | ( | const TreeOctNode * | node | ) |

Definition at line 303 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, eTable, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, and offsets.

## operator[]() [2/2]

const SortedTreeNodes::EdgeIndices & pcl::poisson::SortedTreeNodes::EdgeTableData::operator[] | ( | const TreeOctNode * | node | ) | const

Definition at line 304 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, eTable, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, and offsets.

## Member Data Documentation

## eCount

int pcl::poisson::SortedTreeNodes::EdgeTableData::eCount

Definition at line 163 of file multi_grid_octree_data.h.

Referenced by clear(), EdgeTableData(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), and pcl::poisson::SortedTreeNodes::setEdgeTable().

## eTable

std::vector< EdgeIndices > pcl::poisson::SortedTreeNodes::EdgeTableData::eTable

Definition at line 164 of file multi_grid_octree_data.h.

Referenced by clear(), edgeIndices(), edgeIndices(), operator[](), operator[](), and pcl::poisson::SortedTreeNodes::setEdgeTable().

## offsets

std::vector< int > pcl::poisson::SortedTreeNodes::EdgeTableData::offsets

Definition at line 165 of file multi_grid_octree_data.h.

Referenced by edgeIndices(), edgeIndices(), operator[](), operator[](), and pcl::poisson::SortedTreeNodes::setEdgeTable().

The documentation for this struct was generated from the following files:

- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp